%define mod_name Unicode-EastAsianWidth
Name:           perl-%{mod_name}
Version:        12.0
Release:        2
Summary:        East Asian Width properties
License:        CC0
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/%{mod_name}-%{version}.tar.gz

Patch0:         perl-Unicode-EastAsianWidth-no-inc.patch

BuildArch:      noarch
BuildRequires:  perl perl-generators perl-Exporter perl-ExtUtils-MakeMaker
BuildRequires:  perl-Module-Package perl-Pod-Markdown perl-Module-Package-Au
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provide user-defined Unicode properties that deal with width
status of East Asian characters, as specified in
<http://www.unicode.org/unicode/reports/tr11/>.

%prep
%autosetup -n %{mod_name}-%{version} -p1
rm -rf inc/*

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Unicode/
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 huyubiao <huyubiao@huawei.com> - 12.0-2
- define mod_name to opitomize the specfile

* Wed Jul 22 2020 dingyue <dingyue5@huawei.com> - 12.0-1
- Package update
* Thu Dec 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.33-15
- Package init
